summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/ruby-oembed/Manifest1
-rw-r--r--dev-ruby/ruby-oembed/ruby-oembed-0.14.0.ebuild37
-rw-r--r--dev-ruby/ruby-prof/Manifest1
-rw-r--r--dev-ruby/ruby-prof/ruby-prof-1.4.2.ebuild51
4 files changed, 90 insertions, 0 deletions
diff --git a/dev-ruby/ruby-oembed/Manifest b/dev-ruby/ruby-oembed/Manifest
index ce5a59e8f5f8..01989da665b8 100644
--- a/dev-ruby/ruby-oembed/Manifest
+++ b/dev-ruby/ruby-oembed/Manifest
@@ -1 +1,2 @@
DIST ruby-oembed-0.13.1.gem 4509184 BLAKE2B 212cdb606a1155349c23c1c06f25fedbcc2436dc22a52c8f405b63e27457881617b41d79db15e92e5caac8094c7a9ea912f1b16d994448f5296d3c6117062f17 SHA512 d87f65f1d76d485488c81d4fa2b2df5580a03104a16e3af5e65e6987f4652b3f5652ebcb0a79eab882ef0e5cc9c7b35537032a849de7b848b609f13ca3b83dd8
+DIST ruby-oembed-0.14.0.gem 4510208 BLAKE2B c27df5f0cb48e64b754ecbf526dbb82efff66401ca28a9a45243c5e78397a114203a1a997545055fe2ef45c49bfcdc2005540af9b35b97b8f278e8a173211218 SHA512 101a9f8a35bfa5cd5fb7ecab1f8ee8b616286d6d880506c936ec20fb1749bc6c4ed7c61ebd9ea2247017567ca7e885dc9d83b38f3c55ed9e97a1b7cbe7e53d29
diff --git a/dev-ruby/ruby-oembed/ruby-oembed-0.14.0.ebuild b/dev-ruby/ruby-oembed/ruby-oembed-0.14.0.ebuild
new file mode 100644
index 000000000000..39b5682b5588
--- /dev/null
+++ b/dev-ruby/ruby-oembed/ruby-oembed-0.14.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An oEmbed consumer library written in Ruby."
+HOMEPAGE="https://github.com/judofyr/ruby-oembed"
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test?
+ (
+ dev-ruby/json
+ dev-ruby/vcr:5
+ dev-ruby/xml-simple
+ dev-ruby/nokogiri
+ dev-ruby/webmock:3
+ )"
+
+all_ruby_prepare() {
+ # Remove bundler but keep vcr version requirement
+ rm -f Gemfile || die
+ sed -i -e '1igem "vcr", "~> 5.0"' spec/spec_helper.rb || die
+
+ # Avoid development dependencies
+ sed -i -e '/coverall/I s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/ruby-prof/Manifest b/dev-ruby/ruby-prof/Manifest
index 8560a5d3fcac..07c13e321804 100644
--- a/dev-ruby/ruby-prof/Manifest
+++ b/dev-ruby/ruby-prof/Manifest
@@ -1,2 +1,3 @@
DIST ruby-prof-0.18.0.tgz 93925 BLAKE2B f7e0825e5291fdab017035b2a71029407d2b01161f4c4c7aa1f10a80b4080ac14f7adaa2c0340fe5c80f7352181d085d724dee66597ed29825ab7116d37c5e58 SHA512 1743bbd97789c9de66e9479384d204b0870e43a265471f0fbdf7a72bb19d77a30afc25da9d0ac66a921c28ce83d8a8d72279bdd9b23cf8505ccde952092dd9a5
DIST ruby-prof-1.4.1.tgz 90180 BLAKE2B d996474330146a5daac50f1dcc2e39ed9d3c43ab5f4851805ab264168d3a242371cf216df53c474360de164dd42c14465b4d660c4a6aee7e8983d69ea52dc4e0 SHA512 a436f5fb81bc972c799591ee1077d8fe3d092680c8c0c40ca3607f7ba49611e6fb986464df16bacc7e429ad51276f76c800457a3a68beb659ef8ad01d183434a
+DIST ruby-prof-1.4.2.tgz 90386 BLAKE2B 55263f6cd24b18112a917c2b03a57ca91619419244f79b2b06f6d6794f76d9411d4e1b39dbb2e4b7e2ca6cc03b244f529f4b56fec54ef5fda18853ec2ef05fb4 SHA512 e75a8898533dd2ce9098fcf940883e3cbeaeaecdaebe3592ee67321feb4e294e25bdf14ce6cac50fb6d582cd55d33f175929a1d5446a21b74eb86c468e779fc3
diff --git a/dev-ruby/ruby-prof/ruby-prof-1.4.2.ebuild b/dev-ruby/ruby-prof/ruby-prof-1.4.2.ebuild
new file mode 100644
index 000000000000..46325890cca0
--- /dev/null
+++ b/dev-ruby/ruby-prof/ruby-prof-1.4.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc CHANGES"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="ruby-prof.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A module for profiling Ruby code"
+HOMEPAGE="https://github.com/ruby-prof/ruby-prof"
+SRC_URI="https://github.com/ruby-prof/${PN}/archive/${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Avoid bundler
+ sed -i -e '/bundler/I s:^:#:' -e '/:build/ s:^:#:' Rakefile || die
+
+ sed -i -e '2igem "test-unit"' -e '/bundler/ s:^:#:' test/test_helper.rb || die
+
+ # We install the shared object in lib, not ext.
+ sed -i -e 's#../ext/ruby_prof#../lib/ruby_prof#' lib/ruby-prof.rb || die
+
+ # Avoid unneeded dependency on rake-compiler
+ sed -i -e '/extensiontask/ s:^:#:' \
+ -e '/ExtensionTask/,/end/ s:^:#:' Rakefile || die
+
+ # Create directory required for the test suite to pass
+ mkdir tmp || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/ruby_prof extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/ruby_prof || die "build failed"
+
+ cp ext/ruby_prof/*$(get_modname) lib/ || die "copy of extension failed"
+}